/**
  *  \file client/widgets/vcrinfomain.h
  *  \brief WVcrInfoMain widget
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_VCRINFOMAIN_H
#define PCC_V2_CLIENT_WIDGETS_VCRINFOMAIN_H

#include "ui/ui.h"
#include "cpluslib/sigslot.h"

class WVcrHullList;

/** VCR Unit Information Main Display. This displays all derivable
    information for a VCR participant. Since hulls may have to be
    guessed, it uses data provided by a WVcrHullList. */
class WVcrInfoMain : public UIWidget {
 public:
    WVcrInfoMain(WVcrHullList& list);
    ~WVcrInfoMain();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);

    void addToSim(bool afterFight);

 private:
    WVcrHullList& list;
    SignalConnection conn_moved;
};

#endif
