/**
  *  \file game/actions/planetsupplies.h
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_ACTIONS_PLANETSUPPLIES_H
#define PCC_V2_GAME_ACTIONS_PLANETSUPPLIES_H

#include "game/planet.h"
#include "game/transact.h"

class GPlanetSellSuppliesAction : public GTransaction {
    GPlanet&         the_planet;
    GPlanetTransfer  transfer;
    int32            amount;
    int32            reserved_sup;
 public:
    GPlanetSellSuppliesAction(GPlanet& the_planet);
    ~GPlanetSellSuppliesAction();

    int32 getMinimum() const;
    int32 getMaximum() const;

    void  setAmount(int32 amount);
    int32 getAmount() const;

    Signal0 sig_changed;
 protected:
    void commit();
    void cancel();
};

inline int32_t
GPlanetSellSuppliesAction::getAmount() const
{
    return amount;
}

#endif
